declare module BA.Ui.Form {
    class FormEvents {
        static DefaultFocusOnSuccess: boolean;
        static OnReady(): void;
        static OnApplicationConfigurationReady(): void;
        static OnRemove(): void;
        static OnResize(): void;
        private static _ClientSideFormState;
        static FormOnBegin(jqXHR: any, settings: any): void;
        static FormOnSuccess(s: any): void;
        static BasicFormOnSuccessHandling(s: any, formId: any, formHiddenData: Models.FormHiddenDataModel): void;
        static FormOnFailure(xhr: XMLHttpRequest, _: string, message: string): void;
        private static _MethodsStack;
        private static _ContextBeingHandeled;
        static HandleOnOpenEvents(hiddenData: Models.FormHiddenDataModel, context: any, isOrmDialog?: boolean): void;
        static OnOpenEventsRecursive(): void;
        private static _DelayLoadCalled;
        static ConditionalLoadDelayedControls(): void;
    }
    interface FormEventMethod {
        (context: Window, onFinished: Function, afterStart: Function, controlName: string, additionalParameters?: string): void;
    }
}
