declare module BA.Ui.Grid {
    /** Result object query on opening related record from the detail grid including parent data. */
    class ParentDataGridResult {
        /** empty constructor */
        constructor();
        /** All sources of the record. Used for recognizing if related record belongs to opened record or to another source. */
        Sources: BA.Classes.Guid[];
        /** Number of records where related record is selected as primary. Used for control if delete button is visible or not. */
        NumberWherePrimary: number;
        /** Number of detail records*/
        DetailCount: number;
    }
}
