declare module BA.Ui {
    class Utils {
        static GetCookiePath(): string;
        static GetAppBaseUrl(): string;
        static GetBaseUrl(): string;
        static GetStartPageUrl(): string;
        static AddDataToJsonFormModel(baseName: string, recordId: string, parentRecordId: Classes.Guid, parentRecordType: string): Models.FormDialogModel;
        static AdditionalDataToSessionHelper(e: any, functionOnDone: (e: any) => void, functionOnError: (e: any, response: any) => void, additionalData: CustomData, validationCheck: any): void;
        static QuickCreateRecordHelper(e: any, functionOnDone: (e: any, response: any) => void, functionOnError: (e: any, response: any) => void, additionalData: CustomData, fullNameType: any, validationCheck: any): void;
        static RgbToHex(color: string): string;
        static IntersectTwoLists(listA: any[], listB: any[]): any[];
        static GetFunctionByName(functionName: string, context: Window): Function;
        static ExecuteFunctionByName(functionName: string, context: Window, ...params: any[]): any;
        static IsEmailAddressValid(emailAddress: string): boolean;
        /**
         * Get an entity title for a given orm from the server and pass it to the callback function
         * @param oid           The oid of the orm we need an entity title for
         * @param callback      The callback function we call and pass the title to
         */
        static GetEntityTitle(oid: string, callback: (result: string) => void): void;
        static HtmlDecode(html: string): string;
    }
}
